(* Title:  testexamples for RootRat.thy
   Author: Walther Neuper 2011
   (c) due to copyright terms
*)
"-----------------------------------------------------------------";
"table of contents -----------------------------------------------";
"-----------------------------------------------------------------";
"----------- val rls = calculate_RootRat > calculate_Rational ----";
"-----------------------------------------------------------------";
"-----------------------------------------------------------------";
"-----------------------------------------------------------------";


"----------- val rls = calculate_RootRat > calculate_Rational ----";
"----------- val rls = calculate_RootRat > calculate_Rational ----";
"----------- val rls = calculate_RootRat > calculate_Rational ----";
(*
  Note after CS  "eliminate ThmC.numerals_to_Free" and "replace is_const with is_num" Aug.2021:
  Output of this test is questionable, (*1*) is from long ago.
  Input is questionable, too.
  So this test is left for reactivating biegelinie-*.sml.
*)
val thy = @{theory RootRat};
val ctxt = Proof_Context.init_global thy;
val t = (the o (parseNEW  ctxt))
("- 1 * x = - (2 / 2) + sqrt ((2 / 2) \<up> 2 - -8) | \nx = - 1 * (- (2 / 2) + - 1 * sqrt ((2 / 2) \<up> 2 - -8))");

val rls = calculate_Rational;
val SOME (t', asm) = rewrite_set_ ctxt true rls t;
if UnparseC.term t' =
  "- 1 * x = - 1 + sqrt (2 \<up> 2 / 2 \<up> 2 - - 8) \<or>\nx = - 1 * (- 1 + - 1 * sqrt (2 \<up> 2 / 2 \<up> 2 - - 8))"
(*"- 1 * x = - 1 + sqrt (1 \<up> 2 - -8) | x = - 1 * (- 1 + - 1 * sqrt (1 \<up> 2 - -8))" (*1*)*)
then () else error "rls calculate_Rational CHANGED";

val rls = calculate_RootRat;
val SOME (t, asm) = rewrite_set_ ctxt true rls t;
if UnparseC.term t =
"- 1 * x = - 1 + sqrt (2 \<up> 2 / 2 \<up> 2 - - 8) \<or>\nx = - 1 * - 1 + - 1 * (- 1 * sqrt (2 \<up> 2 / 2 \<up> 2 - - 8))"
then () else error "rls calculate_RootRat CHANGED";

