(* Title:  Knowledge/biegelinie-3.sml
   Author: Walther Neuper 050826
   (c) due to copyright terms
*)
"-----------------------------------------------------------------";
"table of contents -----------------------------------------------";
"-----------------------------------------------------------------";
"----------- auto method [Biegelinien,setzeRandbedingungenEin]--------------------------------";
"----------- me method [Biegelinien,setzeRandbedingungenEin]----------------------------------";
"---------------------------------------------------------------------------------------------";
"---------------------------------------------------------------------------------------------";
"---------------------------------------------------------------------------------------------";


"----------- auto method [Biegelinien,setzeRandbedingungenEin]--------------------------------";
"----------- auto method [Biegelinien,setzeRandbedingungenEin]--------------------------------";
"----------- auto method [Biegelinien,setzeRandbedingungenEin]--------------------------------";
val fmz = ["Funktionen [Q x = c + - 1 * q_0 * x," ^
    "M_b x = c_2 + c * x + - 1 * q_0 / 2 * x \<up> 2," ^
    "y' x = c_3 + 1 / (- 1 * EI) * (c_2 * x + c / 2 * x \<up> 2 + - 1 * q_0 / 6 * x \<up> 3)," ^
    "y x = c_4 + c_3 * x + 1 / (- 1 * EI) * (c_2 / 2 * x \<up> 2 + c / 6 * x \<up> 3 + - 1 * q_0 / 24 * x \<up> 4)]",
	   "Randbedingungen [y 0 = (0::real), y L = 0, M_b 0 = 0, M_b L = 0]",
	   "Gleichungen equ_s"];
val (dI',pI',mI') = ("Biegelinie", ["setzeRandbedingungen", "Biegelinien"],
		     ["Biegelinien", "setzeRandbedingungenEin"]);

States.reset ();  
CalcTree @{context} [(fmz, (dI',pI',mI'))];
Iterator 1;
moveActiveRoot 1;
autoCalculate 1 CompleteCalc;

val ((pt, p),_) = States.get_calc 1;
if p = ([], Res) andalso (get_obj g_res pt (fst p) |> UnparseC.term) =
  "[0 = - 1 * c_4 / - 1,\n 0 =\n (- 24 * c_4 + - 24 * L * c_3 + 12 * L \<up> 2 * c_2 + 4 * L \<up> 3 * c +\n  - 1 * L \<up> 4 * q_0) /\n - 24,\n 0 = c_2, 0 = (2 * c_2 + 2 * L * c + - 1 * L \<up> 2 * q_0) / 2]"
(*"[0 = - 1 * c_4 / - 1,\n 0 =\n (- 24 * c_4 * EI + - 24 * L * c_3 * EI + 12 * L \<up> 2 * c_2 +\n  4 * L \<up> 3 * c +\n  - 1 * L \<up> 4 * q_0) /\n (- 24 * EI),\n 0 = c_2, 0 = (2 * c_2 + 2 * L * c + - 1 * L \<up> 2 * q_0) / 2]"
  ^^^ BEFORE fun Calc_Binop.simplify IS EVALUATEDO BY Simplifier.rewrite  *)
then () else error "auto method [Biegelinien,setzeRandbedingungenEin] changed";


"----------- me method [Biegelinien,setzeRandbedingungenEin]----------------------------------";
"----------- me method [Biegelinien,setzeRandbedingungenEin]----------------------------------";
"----------- me method [Biegelinien,setzeRandbedingungenEin]----------------------------------";
val fmz = ["Funktionen [Q x = c + - 1 * q_0 * x," ^
    "M_b x = c_2 + c * x + - 1 * q_0 / 2 * x \<up> 2," ^
    "y' x = c_3 + 1 / (- 1 * EI) * (c_2 * x + c / 2 * x \<up> 2 + - 1 * q_0 / 6 * x \<up> 3)," ^
    "y x = c_4 + c_3 * x + 1 / (- 1 * EI) * (c_2 / 2 * x \<up> 2 + c / 6 * x \<up> 3 + - 1 * q_0 / 24 * x \<up> 4)]",
	   "Randbedingungen [y 0 = (0::real), y L = 0, M_b 0 = 0, M_b L = 0]",
	   "Gleichungen equ_s"];
val (dI',pI',mI') = ("Biegelinie", ["setzeRandbedingungen", "Biegelinien"],
		     ["Biegelinien", "setzeRandbedingungenEin"]);
val p = e_pos'; val c = [];
val (p,_,f,nxt,_,pt) = Test_Code.init_calc @{context} [(fmz, (dI',pI',mI'))];
val (p,_,f,nxt,_,pt) = me nxt p c pt;val (p,_,f,nxt,_,pt) = me nxt p c pt;
val (p,_,f,nxt,_,pt) = me nxt p c pt;val (p,_,f,nxt,_,pt) = me nxt p c pt;
val (p,_,f,nxt,_,pt) = me nxt p c pt;val (p,_,f,nxt,_,pt) = me nxt p c pt;
val (p,_,f,nxt,_,pt) = me nxt p c pt;

"--- before 1.subpbl [Equation, fromFunction]";
val (p,_,f,nxt,_,pt) = me nxt p c pt;
case nxt of Apply_Method ["Biegelinien", "setzeRandbedingungenEin"] => ()
| _ => error "biegelinie.sml: met setzeRandbed*Ein aa";
"----- Randbedingung y 0 = 0 in SUBpbl with met [Equation, fromFunction]";
val (p,_,f,nxt,_,pt) = me nxt p c pt;
if (#1 o (get_obj g_fmz pt)) (fst p) =
   ["functionEq\n (y x =\n  c_4 + c_3 * x +\n  1 / (- 1 * EI) *" ^
     "\n  (c_2 / 2 * x \<up> 2 + c / 6 * x \<up> 3 + - 1 * q_0 / 24 * x \<up> 4))",
     "substitution (y 0 = 0)", "equality equ'''"] then ()
else error "biegelinie.sml met setzeRandbed*Ein bb";
(writeln o Istate.string_of ctxt) (get_istate_LI pt p);
"--- after 1.subpbl [Equation, fromFunction]";

val (p,_,f,nxt,_,pt) = me nxt p c pt;
val (p,_,f,nxt,_,pt) = me nxt p c pt;val (p,_,f,nxt,_,pt) = me nxt p c pt;
val (p,_,f,nxt,_,pt) = me nxt p c pt;val (p,_,f,nxt,_,pt) = me nxt p c pt;
val (p,_,f,nxt,_,pt) = me nxt p c pt;val (p,_,f,nxt,_,pt) = me nxt p c pt;
case nxt of Apply_Method["Equation", "fromFunction"] => ()
| _ => error "biegelinie.sml met2 ff";
val (p,_,f,nxt,_,pt) = me nxt p c pt; f2str f =
   "y x =\nc_4 + c_3 * x +\n1 / (- 1 * EI) *\n(c_2 / 2 * x \<up> 2 + c / 6 * x \<up> 3 + - 1 * q_0 / 24 * x \<up> 4)";
val (p,_,f,nxt,_,pt) = me nxt p c pt; val (p,_,f,nxt,_,pt) = me nxt p c pt;
val (p,_,f,nxt,_,pt) = me nxt p c pt;
case nxt of Check_Postcond ["makeFunctionTo", "equation"] => ()
| _ => error "biegelinie.sml met2 gg";

(*========== inhibit exn WN210927 exception size SINCE BEFORE fun Calc_Binop.simplify WITH Simplifier.rewrite
"--- before 2.subpbl [Equation, fromFunction]";
val (p,_,f,nxt,_,pt) = me nxt p c pt; f2str f = "0 = c_4 + 0 / (- 1 * EI)" ;
case nxt of Subproblem (_, ["makeFunctionTo", "equation"]) => ()
| _ => error "biegelinie.sml met2 hh";
"--- after 1st arrival at 2.subpbl [Equation, fromFunction]";

val (p,_,f,nxt,_,pt) = me nxt p c pt; 
if (#1 o (get_obj g_fmz pt)) (fst p) =
    ["functionEq\n (y x =\n  c_4 + c_3 * x +\n  1 / (- 1 * EI) *\n  (c_2 / 2 * x \<up> 2 + c / 6 * x \<up> 3 + - 1 * q_0 / 24 * x \<up> 4))",
      "substitution (y L = 0)", "equality equ'''"] then ()
else error "biegelinie.sml metsetzeRandbed*Ein bb ";
val (p,_,f,nxt,_,pt) = me nxt p c pt;
val (p,_,f,nxt,_,pt) = me nxt p c pt; val (p,_,f,nxt,_,pt) = me nxt p c pt;
val (p,_,f,nxt,_,pt) = me nxt p c pt; val (p,_,f,nxt,_,pt) = me nxt p c pt;
val (p,_,f,nxt,_,pt) = me nxt p c pt; val (p,_,f,nxt,_,pt) = me nxt p c pt;
case nxt of Apply_Method["Equation", "fromFunction"] => ()
| _ => error "biegelinie.sml met2 ii";
val (p,_,f,nxt,_,pt) = me nxt p c pt; f2str f = "y x =\nc_4 + c_3 * x +\n1 / (- 1 * EI) *\n(c_2 / 2 * x \<up> 2 + c / 6 * x \<up> 3 + - 1 * q_0 / 24 * x \<up> 4)";
val (p,_,f,nxt,_,pt) = me nxt p c pt; f2str f = "y L =\nc_4 + c_3 * L +\n1 / (- 1 * EI) *\n(c_2 / 2 * L \<up> 2 + c / 6 * L \<up> 3 + - 1 * q_0 / 24 * L \<up> 4)";
val (p,_,f,nxt,_,pt) = me nxt p c pt; f2str f = "0 =\nc_4 + c_3 * L +\n1 / (- 1 * EI) *\n(c_2 / 2 * L \<up> 2 + c / 6 * L \<up> 3 + - 1 * q_0 / 24 * L \<up> 4)";
val (p,_,f,nxt,_,pt) = me nxt p c pt; f2str f = "0 =\nc_4 + L * c_3 +\n(12 * L \<up> 2 * c_2 + 4 * L \<up> 3 * c + - 1 * L \<up> 4 * q_0) / (- 24 * EI)" ;
val (p,_,f,nxt,_,pt) = me nxt p c pt; f2str f = "0 =\nc_4 + L * c_3 +\n(12 * L \<up> 2 * c_2 + 4 * L \<up> 3 * c + - 1 * L \<up> 4 * q_0) / (- 24 * EI)";
case nxt of Subproblem ("Biegelinie", ["makeFunctionTo", "equation"]) => ()
| _ => error "biegelinie.sml met2 jj";
val (p,_,f,nxt,_,pt) = me nxt p c pt; val (p,_,f,nxt,_,pt) = me nxt p c pt;
val (p,_,f,nxt,_,pt) = me nxt p c pt; val (p,_,f,nxt,_,pt) = me nxt p c pt;
val (p,_,f,nxt,_,pt) = me nxt p c pt; val (p,_,f,nxt,_,pt) = me nxt p c pt;
val (p,_,f,nxt,_,pt) = me nxt p c pt;val (p,_,f,nxt,_,pt) = me nxt p c pt;
case nxt of Apply_Method ["Equation", "fromFunction"] => ()
| _ => error "biegelinie.sml met2 kk";

val (p,_,f,nxt,_,pt) = me nxt p c pt;
if f2str f = "0 = - 1 * c_4 / - 1"
           (*"M_b x = c_2 + c * x + - 1 * q_0 / 2 * x \<up> 2" BEFORE fun Calc_Binop.simplify WITH Simplifier.rewrite*)
then () else error "Method fromFunction CHANGED 1";

val (p,_,f,nxt,_,pt) = me nxt p c pt;
val Test_Out.PpcKF (Test_Out.Problem [], {Find = [], Given = [], Relate = [],
  Where = [], With = []}) = f;
( *========== inhibit exn WN210927 BEFORE fun Calc_Binop.simplify WITH Simplifier.rewrite ========
val (p,_,f,nxt,_,pt) = me nxt p c pt; f2str f = "0 = c_2";
val (p,_,f,nxt,_,pt) = me nxt p c pt; f2str f = "0 = c_2";
val (p,_,f,nxt,_,pt) = me nxt p c pt;
( *========== inhibit exn WN1130722 Isabelle2012-->13 thehier? works in Test_Some===

case nxt of (_, Subproblem (_, ["makeFunctionTo", "equation"])) => ()
| _ => error "biegelinie.sml met2 ll";

val (p,_,f,nxt,_,pt) = me nxt p c pt; val (p,_,f,nxt,_,pt) = me nxt p c pt;
val (p,_,f,nxt,_,pt) = me nxt p c pt; val (p,_,f,nxt,_,pt) = me nxt p c pt;
val (p,_,f,nxt,_,pt) = me nxt p c pt; val (p,_,f,nxt,_,pt) = me nxt p c pt;
val (p,_,f,nxt,_,pt) = me nxt p c pt; val (p,_,f,nxt,_,pt) = me nxt p c pt;
case nxt of (_, Apply_Method ["Equation", "fromFunction"])=>()
| _ => error "biegelinie.sml met2 mm";

val (p,_,f,nxt,_,pt) = me nxt p c pt; f2str f = "M_b x = c_2 + c * x + - 1 * q_0 / 2 * x \<up> 2";
val (p,_,f,nxt,_,pt) = me nxt p c pt; f2str f = "M_b L = c_2 + c * L + - 1 * q_0 / 2 * L \<up> 2";
val (p,_,f,nxt,_,pt) = me nxt p c pt; f2str f = "0 = c_2 + c * L + - 1 * q_0 / 2 * L \<up> 2";
val (p,_,f,nxt,_,pt) = me nxt p c pt; f2str f = "0 = (2 * c_2 + 2 * L * c + - 1 * L \<up> 2 * q_0) / 2";
val (p,_,f,nxt,_,pt) = me nxt p c pt; f2str f = "0 = (2 * c_2 + 2 * L * c + - 1 * L \<up> 2 * q_0) / 2";
case nxt of (_, Check_Postcond ["setzeRandbedingungen", "Biegelinien"]) => ()
| _ => error "biegelinie.sml met2 nn";
val (p,_,f,nxt,_,pt) = me nxt p c pt; 
if nxt = ("End_Proof'", End_Proof') andalso f2str f =
(* "[0 = c_4,\n 0 =\n c_4 + L * c_3 +\n (12 * L \<up> 2 * c_2 + 4 * L \<up> 3 * c + - 1 * L \<up> 4 * q_0) / (- 24 * EI),\n 0 = c_2, 0 = (2 * c_2 + 2 * L * c + - 1 * L \<up> 2 * q_0) / 2]" *)
"[0 = c_4,\n 0 =\n c_4 + L * c_3 +\n (12 * L \<up> 2 * c_2 + 4 * L \<up> 3 * c + - 1 * L \<up> 4 * q_0) /\n (- 1 * EI * 24),\n 0 = c_2, 0 = (2 * c_2 + 2 * L * c + - 1 * L \<up> 2 * q_0) / 2]"
then () else error "biegelinie.sml met2 oo";
============ inhibit exn WN1130722 Isabelle2012-->13 thehier? works in Test_Some=*)

